#include "util/minisatstats.h"

namespace satlab
{
    
void MinisatStats::setSolves(uint64_t value)
{
    solves = value;
}

void MinisatStats::setStarts(uint64_t value)
{
    starts = value;
}

void MinisatStats::setDecisions(uint64_t value)
{
    decisions = value;
}

void MinisatStats::setRndDecisions(uint64_t value)
{
    rndDecisions = value;
}

void MinisatStats::setPropagations(uint64_t value)
{
    propagations = value;
}

void MinisatStats::setConflicts(uint64_t value)
{
    conflicts = value;
}

void MinisatStats::setDecVars(uint64_t value)
{
    decVars = value;
}

void MinisatStats::setClausesLiterals(uint64_t value)
{
    clausesLiterals = value;
}

void MinisatStats::setLearntsLiterals(uint64_t value)
{
    learntsLiterals = value;
}

void MinisatStats::setMaxLiterals(uint64_t value)
{
    maxLiterals = value;
}

void MinisatStats::setTotLiterals(uint64_t value)
{
    totLiterals = value;
}

uint64_t MinisatStats::getSolves() const
{
    return solves;
}

uint64_t MinisatStats::getStarts() const
{
    return starts;
}

uint64_t MinisatStats::getDecisions() const
{
    return decisions;
}

uint64_t MinisatStats::getRndDecisions() const
{
    return rndDecisions;
}

uint64_t MinisatStats::getPropagations() const
{
    return propagations;
}

uint64_t MinisatStats::getConflicts() const
{
    return conflicts;
}

uint64_t MinisatStats::getDecVars() const
{
    return decVars;
}

uint64_t MinisatStats::getClausesLiterals() const
{
    return clausesLiterals;
}

uint64_t MinisatStats::getLearntsLiterals() const
{
    return learntsLiterals;
}

uint64_t MinisatStats::getMaxLiterals() const
{
    return maxLiterals;
}

uint64_t MinisatStats::getTotLiterals() const
{
    return totLiterals;
}

}
